Reference
Account settings history
Every saved revision of an account's settings (who, when, what), newest first, with the current revision number for expectedRevision.
View MarkdownThis page is generated from the source code on every release.
Every saved revision of an account's settings (who, when, what), newest first, with the current revision number for expectedRevision.
Overview
| Name | Value |
|---|---|
| Code | accounts.settings_history |
| Scope needed | accounts.read |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
Needs Idempotency-Key |
No |
| Member roles allowed | owner, manager |
| In the app | Accounts → Settings → Change history |
Input fields
| Field | Type | Required | Description |
|---|---|---|---|
accountId |
uuid |
Yes |
Example request
curl -X POST https://tlg.builera.app/api/public/v2/ops/accounts.settings_history \
-H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"accountId":"00000000-0000-0000-0000-000000000000"}'Output fields (data)
| Field | Type | Required |
|---|---|---|
ok |
true |
Yes |
available |
true/false |
Yes |
current |
number |
Yes |
revisions |
object[] |
Yes |
Example answer
{
"data": {
"ok": true,
"available": true,
"current": 1,
"revisions": [
{
"revision": 1,
"summary": "text",
"actor": "text",
"createdAt": "2026-10-22T12:00:00.000Z",
"snapshot": "text"
}
]
}
}Using it over MCP
Not listed on any profile: call tools_describe then tools_run with code: "accounts.settings_history". Tool name when listed: accounts_settings_history.